From: Carsten Schoenert <c.schoenert@t-online.de>
Date: Fri, 29 Mar 2024 19:52:55 +0100
Subject: Adjust another __unused__ macro after dpkg changes
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

dpkg has modified the default compiler flags while the time_t64
transition, now one more code part is hit by a compliler error.

> gcc -I. -I../.. -DHAVE_CONFIG_H -g -O2 -Werror=implicit-function-declaration -ffile-prefix-map=/<<PKGBUILDDIR>>=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -fcf-protection -Wdate-time -D_FORTIFY_SOURCE=2 -c ../../sh.c
> ../../routines.c:529:48: error: expected ‘;’, ‘,’ or ‘)’ before ‘__unused__’
>   529 | static void canonicalizePath (char *const path __unused__)
>       |                                                ^~~~~~~~~~
> ../../routines.c: In function ‘isSameFile’:
> ../../routines.c:553:17: error: implicit declaration of function ‘canonicalizePath’ [-Werror=implicit-function-declaration]
>   553 |                 canonicalizePath (n1);
>       |                 ^~~~~~~~~~~~~~~~
> cc1: some warnings being treated as errors
> make[2]: *** [Makefile:220: routines.o] Error 1

Forwarded: not-needed
---
 routines.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/routines.c b/routines.c
index 8ebe2e0..bfbeecd 100644
--- a/routines.c
+++ b/routines.c
@@ -526,7 +526,7 @@ static boolean isPathSeparator (const int c)
 
 #if ! defined (HAVE_STAT_ST_INO)
 
-static void canonicalizePath (char *const path __unused__)
+static void canonicalizePath (char *const path __arduino_unused__)
 {
 #if defined (MSDOS_STYLE_PATH)
 	char *p;
